# Generated by rust2rpm
%bcond_without check

%global crate fd-find

Name:           rust-%{crate}
Version:        7.3.0
Release:        1%{?dist}
Summary:        Simple, fast and user-friendly alternative to find

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/fd-find
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(ansi_term/default) >= 0.11.0 with crate(ansi_term/default) < 0.12.0)
BuildRequires:  (crate(atty/default) >= 0.2.0 with crate(atty/default) < 0.3.0)
BuildRequires:  (crate(clap/color) >= 2.31.2 with crate(clap/color) < 3.0.0)
BuildRequires:  (crate(clap/default) >= 2.31.2 with crate(clap/default) < 3.0.0)
BuildRequires:  (crate(clap/suggestions) >= 2.31.2 with crate(clap/suggestions) < 3.0.0)
BuildRequires:  (crate(clap/wrap_help) >= 2.31.2 with crate(clap/wrap_help) < 3.0.0)
BuildRequires:  (crate(ctrlc/default) >= 3.1.0 with crate(ctrlc/default) < 4.0.0)
BuildRequires:  (crate(humantime/default) >= 1.1.1 with crate(humantime/default) < 2.0.0)
BuildRequires:  (crate(ignore/default) >= 0.4.3 with crate(ignore/default) < 0.5.0)
BuildRequires:  (crate(lazy_static/default) >= 1.1.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(lscolors/default) >= 0.5.0 with crate(lscolors/default) < 0.6.0)
BuildRequires:  (crate(num_cpus/default) >= 1.8.0 with crate(num_cpus/default) < 2.0.0)
BuildRequires:  (crate(regex-syntax/default) >= 0.6.0 with crate(regex-syntax/default) < 0.7.0)
BuildRequires:  (crate(regex/default) >= 1.0.0 with crate(regex/default) < 2.0.0)
BuildRequires:  (crate(version_check/default) >= 0.1.3 with crate(version_check/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(diff/default) >= 0.1.0 with crate(diff/default) < 0.2.0)
BuildRequires:  (crate(filetime/default) >= 0.2.1 with crate(filetime/default) < 0.3.0)
BuildRequires:  (crate(tempdir/default) >= 0.3.0 with crate(tempdir/default) < 0.4.0)
%endif

%global _description \
fd is a simple, fast and user-friendly alternative to find.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/fd.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/fd.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_fd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install
%{__install} -Dpm0644 -t %{buildroot}%{_mandir}/man1 doc/fd.1
%{__install} -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  target/release/build/%{crate}-*/out/fd.bash
%{__install} -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_functions.d \
  target/release/build/%{crate}-*/out/fd.fish
%{__install} -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  target/release/build/%{crate}-*/out/_fd

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Apr 27 18:51:07 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-1
- Update to 7.3.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Josh Stone <jistone@redhat.com> - 7.2.0-1
- Update to 7.2.0

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 7.1.0-1
- Update to 7.1.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-2
- Bump regex to 1

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 7.0.0-1
- Update to 7.0.0

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 6.3.0-2
- Bump regex-syntax to 0.5

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.3.0-1
- Update to 6.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-4
- Rebuild for clap 2.29.2 (zsh completion fixes)

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-3
- Rebuild for clap 2.29.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-1
- Update to 6.2.0

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-5
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-4
- Rebuild for clap 2.28.0

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-3
- Fix bash completion

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-2
- Package completions

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-1
- Initial package
